<?php

// class if thumbnail is present
$thumbclass = has_post_thumbnail(get_the_ID()) ? 'genji-has-thumb' : 'genji-no-thumb';

?>
<article id="post-<?php the_ID(); ?>" <?php post_class('genji-archive-post '.$thumbclass); ?>>
	<?php if (has_post_thumbnail()) { ?>
	<a href="<?php echo the_permalink();?>"><?php the_post_thumbnail(array(90,90));?></a>
	<?php } ?>
	<div class="genji-archive-post-inner">
		<?php the_title( '<h2 class="genji-entry-title"><a href="'.get_permalink().'">', '</a></h2>'); ?>
		<p class="genji-archive-post-author"><?php _e('Written by:','genji');?> <span><?php the_author();?></span></p>
		<time datetime="<?php echo the_time('c');?>"><?php the_time('F jS, Y');?></time>
	</div>
</article><?php
