/**
 * This file adds some LIVE to the Theme Customizer live preview. To leverage
 * this, set your custom settings to 'postMessage' and then add your handling
 * here. Your javascript should grab settings from customizer controls, and
 * then make any necessary changes to the page using jQuery.
 */
(function($){
	// Update the site title in real time...
	wp.customize( 'blogname', function( value ) {
	    value.bind( function( newval ) {
	        $('.genji-site-title a').html( newval );
	    });
	});

	wp.customize( 'blogdescription', function( value ) {
	    value.bind( function( newval ) {
	        $('.genji-site-description').html( newval );
	    });
	});

	//Update site background color...
	wp.customize( 'genji_background_color', function( value ) {
	    value.bind( function( newval ) {
	        $('body, body .aesop-parallax-sc-caption-wrap,.genji-author,.genji-story-header').css('background-color', newval );
	    });
	});

	//Update site background color...
	wp.customize( 'genji_text_color', function( value ) {
	    value.bind( function( newval ) {
	        $('body, h2, h3, h4, h5, h6, body h2 a, body h3 a, body h4 a, body h5 a, body h6 a, .genji-archive-post time, .genji-archive-post .genji-archive-post-author,.genji-site-header .genji-site-title a, .genji-site-footer p, .genji-pagination a, .aesop-cap-cred,.aesop-image-component-caption,.aesop-img-enlarge,.aesop-document-component,.genji-author a,.aesop-parallax-sc-caption-wrap,.genji-site-header .genji-menu-toggle').css('color', newval );
	    });
	});
		//Update site background color...
	wp.customize( 'genji_link_color', function( value ) {
	    value.bind( function( newval ) {
	        $('body a:hover, body .genji-pagination .page-numbers:hover,.genji-author a:hover').css( newval );
	        $('.genji-cat-links a').css('background-color', newval );
	    });
	});

	//Update Footer Text
	wp.customize( 'genji_footer_text', function( value ) {
	    value.bind( function( newval ) {
	        $('.genji-site-footer .genji-content').html( newval );
	    });
	});

})( jQuery );