<?php

// load theme scripts
class genjiScripts{

	public function __construct(){
		add_action('wp_enqueue_scripts', array($this,'load_assets'));
	}

	public function load_assets(){

		wp_enqueue_style('genji-style', GENJI_URL.'/style.css', GENJI_VERSION);
		wp_enqueue_script('genji-script', GENJI_URL.'/assets/js/genji.min.js', array('jquery'), GENJI_VERSION, true );

		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		    wp_enqueue_script( 'comment-reply' );
		}
	}
}
new genjiScripts;